commit 397c27a46c4a4785f261e70333c64cc4b522d10f
Author: freddy77 <freddy77>
Date:   Fri Feb 27 10:46:23 2009 +0000

    cleanup public sysdep header

diff --git a/ChangeLog b/ChangeLog
index 334e58c..fe76286 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Feb 27 11:46:15 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds_sysdep_private.h include/tds_sysdep_public.h.in:
+	- cleanup public sysdep header
+
 Fri Feb 27 11:37:34 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c:
 	- replace errx and warnx cause not that portable
@@ -1327,4 +1331,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2732 2009/02/27 10:37:41 freddy77 Exp $
+$Id: ChangeLog,v 1.2733 2009/02/27 10:46:23 freddy77 Exp $
diff --git a/include/tds_sysdep_private.h b/include/tds_sysdep_private.h
index 47c5126..0b63187 100644
--- a/include/tds_sysdep_private.h
+++ b/include/tds_sysdep_private.h
@@ -20,7 +20,7 @@
 #ifndef _tds_sysdep_private_h_
 #define _tds_sysdep_private_h_
 
-/* $Id: tds_sysdep_private.h,v 1.28 2009/02/27 10:11:42 freddy77 Exp $ */
+/* $Id: tds_sysdep_private.h,v 1.29 2009/02/27 10:46:24 freddy77 Exp $ */
 
 #undef TDS_RCSID
 #if defined(__GNUC__) && __GNUC__ >= 3
@@ -160,6 +160,15 @@ typedef DWORD pid_t;
 # define SOCKLEN_T socklen_t
 #endif
 
+#if !defined(__WIN32__) && !defined(_WIN32) && !defined(WIN32)
+typedef int TDS_SYS_SOCKET;
+#define INVALID_SOCKET -1
+#define TDS_IS_SOCKET_INVALID(s) ((s) < 0)
+#else
+typedef SOCKET TDS_SYS_SOCKET;
+#define TDS_IS_SOCKET_INVALID(s) ((s) == INVALID_SOCKET)
+#endif
+
 #define tds_accept      accept
 #define tds_getpeername getpeername
 #define tds_getsockopt  getsockopt
diff --git a/include/tds_sysdep_public.h.in b/include/tds_sysdep_public.h.in
index 96a782c..7e50ac0 100644
--- a/include/tds_sysdep_public.h.in
+++ b/include/tds_sysdep_public.h.in
@@ -20,7 +20,7 @@
 #ifndef _tds_sysdep_public_h_
 #define _tds_sysdep_public_h_
 
-/* $Id: tds_sysdep_public.h.in,v 1.12 2008/01/20 14:23:59 freddy77 Exp $ */
+/* $Id: tds_sysdep_public.h.in,v 1.13 2009/02/27 10:46:24 freddy77 Exp $ */
 
 #ifdef __cplusplus
 extern "C"
@@ -68,15 +68,6 @@ extern "C"
 #define tds_sysdep_intptr_type @tds_sysdep_intptr_type@
 #endif				/* !tds_sysdep_intptr_type */
 
-#if !defined(__WIN32__) && !defined(_WIN32) && !defined(WIN32)
-typedef int TDS_SYS_SOCKET;
-#define INVALID_SOCKET -1
-#define TDS_IS_SOCKET_INVALID(s) ((s) < 0)
-#else
-typedef SOCKET TDS_SYS_SOCKET;
-#define TDS_IS_SOCKET_INVALID(s) ((s) == INVALID_SOCKET)
-#endif
-
 #if !defined(MSDBLIB) && !defined(SYBDBLIB)
 @dblib_define@
 #endif

